LLVM: lldb::SBUnixSignals Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBUnixSignals Class Reference

`#include <SBUnixSignals.h>`

## Public Member Functions
| SBUnixSignals ()
| SBUnixSignals (const lldb::SBUnixSignals &rhs)
| ~SBUnixSignals ()
const SBUnixSignals & | operator= (const lldb::SBUnixSignals &rhs)
void | Clear ()
bool | IsValid () const
const char * | GetSignalAsCString (int32_t signo) const
int32_t | GetSignalNumberFromName (const char *name) const
bool | GetShouldSuppress (int32_t signo) const
bool | SetShouldSuppress (int32_t signo, bool value)
bool | GetShouldStop (int32_t signo) const
bool | SetShouldStop (int32_t signo, bool value)
bool | GetShouldNotify (int32_t signo) const
bool | SetShouldNotify (int32_t signo, bool value)
int32_t | GetNumSignals () const
int32_t | GetSignalAtIndex (int32_t index) const

## Protected Member Functions
| SBUnixSignals (lldb::ProcessSP &process_sp)
| SBUnixSignals (lldb::PlatformSP &platform_sp)
lldb::UnixSignalsSP | GetSP () const
void | SetSP (const lldb::UnixSignalsSP &signals_sp)

## Friends
class | SBProcess
class | SBPlatform

## Detailed Description

Definition at line 18 of file SBUnixSignals.h.

## Constructor & Destructor Documentation

lldb::SBUnixSignals::SBUnixSignals | ( |  | ) |

lldb::SBUnixSignals::SBUnixSignals | ( | const lldb::SBUnixSignals & | rhs | ) |

lldb::SBUnixSignals::~SBUnixSignals | ( |  | ) |

lldb::SBUnixSignals::SBUnixSignals | ( | lldb::ProcessSP & | process_sp | ) |
| protected

lldb::SBUnixSignals::SBUnixSignals | ( | lldb::PlatformSP & | platform_sp | ) |
| protected

## Member Function Documentation

void lldb::SBUnixSignals::Clear | ( |  | ) |

int32_t lldb::SBUnixSignals::GetNumSignals | ( |  | ) | const

bool lldb::SBUnixSignals::GetShouldNotify | ( | int32_t | signo | ) | const

bool lldb::SBUnixSignals::GetShouldStop | ( | int32_t | signo | ) | const

bool lldb::SBUnixSignals::GetShouldSuppress | ( | int32_t | signo | ) | const

const char* lldb::SBUnixSignals::GetSignalAsCString | ( | int32_t | signo | ) | const

int32_t lldb::SBUnixSignals::GetSignalAtIndex | ( | int32_t | index | ) | const

int32_t lldb::SBUnixSignals::GetSignalNumberFromName | ( | const char * | name | ) | const

lldb::UnixSignalsSP lldb::SBUnixSignals::GetSP | ( |  | ) | const
| protected

bool lldb::SBUnixSignals::IsValid | ( |  | ) | const

const SBUnixSignals& lldb::SBUnixSignals::operator= | ( | const lldb::SBUnixSignals & | rhs | ) |

bool lldb::SBUnixSignals::SetShouldNotify | ( | int32_t | signo,
|  | bool | value
| ) |  |

bool lldb::SBUnixSignals::SetShouldStop | ( | int32_t | signo,
|  | bool | value
| ) |  |

bool lldb::SBUnixSignals::SetShouldSuppress | ( | int32_t | signo,
|  | bool | value
| ) |  |

void lldb::SBUnixSignals::SetSP | ( | const lldb::UnixSignalsSP & | signals_sp | ) |
| protected

## Friends And Related Function Documentation

friend class SBPlatform
| friend

Definition at line 54 of file SBUnixSignals.h.

friend class SBProcess
| friend

Definition at line 53 of file SBUnixSignals.h.

The documentation for this class was generated from the following file:

- SBUnixSignals.h